WESNOTH(6)

NAME
wesnoth - Battle for Wesnoth, ein rundenbasiertes Strategiespiel

ZUSAMMENFASSUNG
wesnoth [OPTIONEN] [ORT DER SPIELDATEN]

BESCHREIBUNG
Battle for Wesnoth ist ein rundenbasiertes Strategiespiel in einem Fantasy-Szenario. Schlüpfen Sie in die Rolle eines Herrführers und führen Sie Ihre Armee zum Sieg. Wählen Sie dabei aus verschiedenen Rassen, mit unterschiedlichen Fertigkeiten, Waffen und Sprüchen aus und zerschmettern Sie Ihre Gegner.

KOMMANDOZEILENOPTIONEN

--bpp WERT
    Bestimmt die Farbtiefe, in der das Spiel gestartet wird. Beispiel: --bpp 32

--compress <entpackte_datei> <komprimierte_datei>
    Wandelt eine normale WML-Textdatei (entpackte_datei) in einen als WML-Binärdatei komprimierten Spielstand (komprimierte_datei) um.

-d, --debug
    Zeigt Entwicklerinformationen im Spiel an und erlaubt zusätzliche Kommandos in der spieleigenen Befehlszeile (siehe dazu die Wiki-Seite: http://www.wesnoth.org/).

--decompress <komprimierte_datei> <entpackte_datei>
    Wandelt einen als WML-Binärdatei komprimierten Spielstand (komprimierte_datei) in eine normale WML-Textdatei (entpackte_datei) um.

-f, --fullscreen
    Startet das Programm im Vollbildmodus.

--fps
    Aktiviert die Anzeige der Bilder pro Sekunde im Spiel.

-h, --help
    Gibt die möglichen Kommandozeilenoptionen aus.

--load Spielstand
    Lädt die Datei `Spielstand' aus dem Standardverzeichnis für gespeicherte Spiele.

--log-error="domain1,domain2,...", --log-warning="...", --log-info="..."
    Setzt die Stufe der Debugausgabe. Verwenden Sie "all", um sämtliche Meldungen auszugeben. --log-info zeigt alle Meldungen, --log-warning zeigt nur Warnungen und Fehler und --log-error nur Fehler.

--multiplayer
    Startet das Spiel im Mehrspieler-Modus. Es gibt noch zusätzliche Optionen die zusammen mit --multiplayer verwendet werden können. Diese werden weiter unten näher erklärt.

--nocache
    Veranlasst das Programm, keine Daten zwischenzuspeichern.

--nosound
    Deaktiviert jegliche Soundeffekte im Spiel.

--path
    Zeigt an, wo sich das Verzeichnis mit den Spieldateien befindet.

-r, --resolution XxY
    Ermöglicht es, die Auflösung zu bestimmen, in der das Spiel gestartet wird. Beispiel: -r 800x600

-t, --test
    Startet das Programm mit einem kleinen Testszenario.

-v, --version
    Zeigt die Versionsnummer an und beendet das Programm.

-w, --windowed
    Startet das Programm im Fenstermodus.

--no-delay
    Das Spiel wird ohne Verzögerungen ausgeführt. Wird zum ausführen grafischer Leistungsvergleiche verwendet. Diese Option ist standardmässig aktiviert, wenn die Option --nogui gesetzt ist.

--exit-at-end
    Beendet das Spiel am Ende eines Szenarios ohne die Sieg/Niederlage Übersicht anzuzeigen, da der Benutzer hier »Ok« auswählen müsste, damit das Spiel fortgesetzt wird. Dies wird ebenfalls bei geskripteten Leistungsvergleichen verwendet.

Zusätzliche Optionen für --multiplayer
Die seitenspezifischen Einstellungen sind mit <NUMMER> markiert. <NUMMER> muss dabei durch die Nummer der jeweiligen Seite ersetzt werden. Meistens ist diese Nummer 1 oder 2, doch hängt es letztendlich von der Anzahl der möglichen Spieler in dem gewählten Szenario ab.

--algorithm<NUMMER>=WERT
    Legt einen anderen als den Standardalgorithmus für die KI der gewählten Seite fest. Mögliche Werte sind "idle_ai" oder "sample_ai".

--controller<NUMMER>=WERT
    Bestimmt, wer die gewählte Seite kontrolliert. Mögliche Werte sind "human" für einen Menschen oder "ai" für einen KI-Spieler.

--era=WERT
    Bestimmt, welche Ära für diese Partie genutzt werden soll. Die Ära wird per "id" bestimmt. Eine genaue Beschreibung der Rassen und Epochen ist in der Datei data/multiplayer.cfg zu finden.

--nogui
    Das Spiel startet ohne grafische Oberfläche. Muss vor --multiplayer in der Befehlszeile angegeben werden.

--parm<NUMMER>=NAME:WERT
    Gibt zusätzliche Parameter für diese Seite an. Die möglichen Parameter hängen davon ab, welche Optionen für --controller und --algorithm verwendet werden. Diese Einstellung ist nur interessant, wenn Sie Ihre eigene KI entwickeln wollen. (bisher ist noch keine vollständige Dokumentation verfügbar)

--scenario=WERT
    Bestimmt das Szenario, das geladen werden soll. Standard ist "multiplayer_Charge".

--side<NUMMER>=WERT
    Bestimmt die Rasse für die festgelegte Seite in Abhängigkeit von der gewählten Ära. Die Rasse wird per "id" bestimmt. Eine genaue Beschreibung der Rassen und Epochen ist in der Datei data/multiplayer.cfg zu finden.

--turns=WERT
    Bestimmt die Anzahl der Runden. Standard ist "50".

Beispielbefehl zum Testen einer eigenen KI:
    wesnoth --multiplayer --controller2=python_ai --algorithm2=python_ai --parm2=python_script:py/my_own_python_ai.py --side2=Rebels

AUTOR
Geschrieben von David White <davidnwhite@verizon.net>.
Bearbeitet von Nils Kneuper <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> und Soliton <soliton@sonnenkinder.org>. Übersetzt von Jan-Heiner Laberenz <Jan-Heiner@arcor.de> und Nils Kneuper <crazy-ivanovic@gmx.net>.
Diese Beschreibung stammt im Original von Cyril Bouthors <cyril@bouthors.org>.
Besuchen Sie auch die offizielle Webseite: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003-2006 David White <davidnwhite@verizon.net>
Dieses Programm ist freie Software. Sie können es unter den Bedingungen der GNU General Public License, wie von der Free Software Foundation veröffentlicht, weitergeben und/oder modifizieren, entweder gemäß Version 2 der Lizenz oder (nach Ihrer Option) jeder späteren Version. Die Veröffentlichung dieses Programms erfolgt in der Hoffnung, dass es Ihnen von Nutzen sein wird, aber OHNE IRGENDEINE GARANTIE, sogar ohne die implizite Garantie der MARKTREIFE oder der VERWENDBARKEIT FÜR EINEN BESTIMMTEN ZWECK. Details finden Sie in der GNU General Public License. Sie sollten eine Kopie der GNU General Public License zusammen mit diesem Programm erhalten haben. Falls nicht, schreiben Sie an die Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.

ANDERE
wesnoth_editor(6), wesnothd(6)